﻿
{% extends "base.html" %}
{% load static %}

{% block title %}Connexion{% endblock %}


{% block content %}


<script type="text/javascript">
   $(document).ready(function() {
      
      //var stat= document.getElementById("mySelect").value;
      
       $('.report-quote').click(function() {
         console.log("ok");

         var stat =  $(this).prop('id');
         var car= $(this).parent().find('input').val();
          
         console.log(car);
         $("#car").val(car);
       });

       $('.retour-quote').click(function() {
         console.log("ok");

         var stat =  $(this).prop('id');
         var rent= $(this).parent().find('input').val();
          
         console.log(rent);
         $("#local").val(rent);
       });
   });
</script>
      <!-- =-=-=-=-=-=-= Main Header End  =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Breadcrumb =-=-=-=-=-=-= -->
      <div class="page-header-area-2 gray">
         <div class="container">
            <div class="row">
               <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                  <div class="small-breadcrumb">
                     <div class=" breadcrumb-link">
                        <ul>
                           <li><a href="index.html">Home Page</a></li>
                           <li><a class="active" href="#">Profile</a></li>
                        </ul>
                     </div>
                     <div class="header-page">
                        <h1>User Dashboard</h1>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!-- =-=-=-=-=-=-= Breadcrumb End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
         <!-- =-=-=-=-=-=-= Latest Ads =-=-=-=-=-=-= -->
         <section class="custom-padding no-top gray">
            <!-- Main Container -->
            <div class="container">
                             <!-- Row -->
                             <div class="row">
                              <!-- Middle Content Area -->
                              <div class="col-md-12 col-xs-12 col-sm-12">
                                 <section class="search-result-item">
                                    <a class="image-link" href="#"><img class="image center-block" alt="" src="{% get_media_prefix %}{{cmpt.profile_image }}"> </a>
                                    <div class="search-result-item-body">
                                       <div class="row">
                                          <div class="col-md-5 col-sm-12 col-xs-12">
                                             <h4 class="search-result-item-heading"><a href="#">{{client.nom}}</a></h4>
                                             <p class="info">
                                                <span><a href="profile.html"><i class="fa fa-star "></i>Bon</a></span>
                                                <span><a data-target="#myModal" data-toggle="modal" ><i class="fa fa-edit"></i>Modifier le Profile </a></span>
                                             </p>
                                             <p class="description">Dernière connexion à: {{ cmpt.last|date:'d/m/Y' }}</p>
                                             <span class="label label-success"><i class="fa fa-address-card"></i> {{ client.permis.numero}}</span>
                                             {%if cmpt.vernum == '1' %}
                                             <span class="label label-success"> <i class="fa fa-phone "> </i>verifié</span>
                                             {%else %}
                                                <span class="label label-danger"> <i class="fa fa-phone "> </i>Non verifié</span>
                                             {% endif %}
                                             {%if cmpt.vermail == '1' %}
                                             <span class="label label-success"> <i class="fa fa-envelope "> </i> verifié</span>
                                             {%else %}
                                             <span class="label label-danger"> <i class="fa fa-envelope "> </i> Non verifié</span>
                                             {% endif %}
                                          </div>
                                          <div class="col-md-7 col-sm-12 col-xs-12">
                                             <div class="row ad-history">
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                   <div class="user-stats">
                                                      <h2>{{user_gain}}</h2>
                                                      <small>Revenus</small>
                                                   </div>
                                                </div>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                   <div class="user-stats">
                                                      <h2>{{user_pay}}</h2>
                                                      <small>Paiements</small>
                                                   </div>
                                                </div>
                                                <div class="col-md-4 col-sm-4 col-xs-12">
                                                   <div class="user-stats">
                                                      <h2>{{nbre_voiture}}</h2>
                                                      <small>Voitures</small>
                                                   </div>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </section>
                                 <div class="dashboard-menu-container">
                                    <ul>
                                       <li>
                                          <a href="/compte/{{ cmpt.id }}">
                                             <div class="menu-name">Mon Profil </div>
                                          </a>
                                       </li>
                                       <li>
                                          <a href="/voiture/{{ cmpt.id }}">
                                             <div class="menu-name">Mes Voitures</div>
                                          </a>
                                       </li>
                                       <li class="active">
                                          <a href="/location/{{ cmpt.id }}">
                                             <div class="menu-name">Mes locations</div>
                                          </a>
                                       </li>
                                       <li>
                                          <a href="/favourite/{{ cmpt.id }}">
                                             <div class="menu-name">Mes favoris</div>
                                          </a>
                                       </li>
                                       <li>
                                          <a href="/messages/{{ cmpt.id }}">
                                             <div class="menu-name">Messages</div>
                                          </a>
                                       </li>
                                       <li>
                                          <a href="/UserAcces/{{ cmpt.id }}">
                                             <div class="menu-name">Mon compte</div>
                                          </a>
                                       </li>
                                       <li>
                                          <a href="/deconnexion/{{ cmpt.id }}">
                                             <div class="menu-name">Deconnexion</div>
                                          </a>
                                       </li>
                                    </ul>
                                 </div>
                              </div>
                              <!-- Middle Content Area  End -->
                           </div>
                           <!-- Row End -->
               <div class="row margin-top-40 grid-style-2 ">
                  <!-- Middle Content Area -->
                  <div class="profile-section margin-bottom-20">
                     <div class="profile-tabs">
                        <ul class="nav nav-justified nav-tabs">
                           <li class="active"><a href="#profile" data-toggle="tab">En tant que Locataire</a></li>
                           <li><a href="#edit" data-toggle="tab">En tant que Proprietaire</a></li>
                        </ul>
                  <div class="tab-content">
                  <div class="profile-edit tab-pane fade in active" id="profile">
                     <div class="row">
                     {%if vide == True %}
                     <h3>Vous n'avez aucune location</h3>
                     {% endif %}
                     {% for rent in rentList %}
                     
                     <div class="col-md-4 col-xs-12 col-sm-6">
                     <div class="category-grid-box-1">
                        <div class="featured-ribbon">
                           {% if rent.date_fin|date:"Y-m-d" < time|date:"Y-m-d" %}
                              <span>Teminer</span>
                           {%else%}                           
                              <span>{{rent.statut}}</span>
                           {% endif %}
                        </div>
                        <div class="image">
                           <img alt="Carspot" src="{% get_media_prefix %}{{rent.voiture.feature}}" class="img-responsive">
                           <div class="ribbon popular"></div>
                           <div class="price-tag">
                              <div class="price"><span>{{rent.montant}}</span></div>
                           </div>
                           <div class="notification msgs" >
                              <a class="round-btn" href="javascript:void(0);"><i class="fa fa-comment"></i></a>
                              <span>7</span>
                           </div>
                        </div>
                        <div class="short-description-1 clearfix">
                           <div class="category-title"> <span><a href="#">Mariage</a></span> </div>
                           <h3><a title="" href="single-page-listing.html">{{rent.voiture.marque}}</a></h3>
                           <p class="location"><i class="fa fa-map-marker"></i> {{rent.voiture.quartier.libelle}} </p>
                           <p class="location"><i class="flaticon-calendar"></i>Du  {{rent.date_dbt|date:'d-m-Y'}} Au {{rent.date_fin|date:'d-m-Y'}} </p>
                           <ul class="list-unstyled">
                              <li><a href="javascript:void(0)"><i class="flaticon-gas-station-1"></i>{{rent.voiture.carburant}}</a></li>
                              <li><a href="javascript:void(0)"><i class="flaticon-dashboard"></i>{{rent.voiture.kilomettrage}} km</a></li>
                              <li><a href="javascript:void(0)"><i class="flaticon-engine-2"></i> {{rent.voiture.transmission}}</a></li>
                              <li><a href="javascript:void(0)"><i class="flaticon-car-2"></i>{{rent.voiture.modele}}</a></li>
                              <li><a href="javascript:void(0)"><i class="flaticon-cogwheel-outline"></i>{{rent.voiture.couleur}}</a></li>
                           </ul>
                        </div>
                        <div class="ad-info-1">
                           <p><i class="flaticon-calendar"></i> &nbsp;<span>{{rent.nbr_jour}} jour(s)</span> </p>
                           <ul class="pull-right">
                              <li> <input type="hidden"  name="carSec"  value="{{rent.voiture.id}}" id="carSec"> <a data-target=".report-quote" data-toggle="modal" data-placement="top" title="Commentez" data-original-title="Commentez" href="#?carId={{rent.voiture.id}}" class=".report-quote" id="{{rent.voiture.id}}" ><i class="fa fa-comment"></i></a> </li>
                              <li> <a data-toggle="tooltip" data-placement="top" title="Delete" data-original-title="Delete" href="#"><i class="fa fa-times delete"></i></a></li>
                           </ul>
                        </div>
                     </div>
                     <!-- Listing Ad Grid -->
                  </div>
                  <!-- /col -->
                  
                 
                  {% endfor %}
               </div>
                  <!-- Middle Content Area  End -->
                  </div>
                  <div class="profile-edit tab-pane fade" id="edit">
                     <div class="row">
                     {% for rent in rentPaieList %}
                     
                     <div class="col-md-4 col-xs-12 col-sm-6">
                        <div class="category-grid-box-1">
                           <div class="featured-ribbon">
                              {% if rent.date_fin|date:"Y-m-d" < time|date:"Y-m-d" %}
                                 <span>Teminer</span>
                              {%else%}                           
                                 <span>{{rent.statut}}</span>
                              {% endif %}
                           </div>
                           <div class="image">
                              <img alt="Carspot" src="{% get_media_prefix %}{{rent.voiture.feature}}" class="img-responsive">
                              <div class="ribbon popular"></div>
                              <div class="price-tag">
                                 <div class="price"><span>{{rent.montant}}</span></div>
                              </div>
                              <div class="notification msgs" >
                                 <a class="round-btn" href="javascript:void(0);"><i class="fa fa-comment"></i></a>
                                 <span>7</span>
                              </div>
                           </div>
                           <div class="short-description-1 clearfix">
                              <div class="category-title"> <span><a href="#">Mariage</a></span> </div>
                              <h3><a title="" href="single-page-listing.html">{{rent.voiture.marque}}</a></h3>
                              <p class="location"><i class="fa fa-map-marker"></i> {{rent.voiture.quartier.libelle}} </p>
                              <p class="location"><i class="flaticon-calendar"></i>Du  {{rent.date_dbt|date:'d-m-Y'}} Au {{rent.date_fin|date:'d-m-Y'}} </p>
                              <ul class="list-unstyled">
                                 <li><a href="javascript:void(0)"><i class="flaticon-gas-station-1"></i>{{rent.voiture.carburant}}</a></li>
                                 <li><a href="javascript:void(0)"><i class="flaticon-dashboard"></i>{{rent.voiture.kilomettrage}} km</a></li>
                                 <li><a href="javascript:void(0)"><i class="flaticon-engine-2"></i> {{rent.voiture.transmission}}</a></li>
                                 <li><a href="javascript:void(0)"><i class="flaticon-car-2"></i>{{rent.voiture.modele}}</a></li>
                                 <li><a href="javascript:void(0)"><i class="flaticon-cogwheel-outline"></i>{{rent.voiture.couleur}}</a></li>
                              </ul>
                           </div>
                           <div class="ad-info-1">
                              <p><i class="flaticon-calendar"></i> &nbsp;<span>{{rent.nbr_jour}} jour(s)</span> </p>
                              <ul class="pull-right">
                                 <li><input type="hidden"  name="carSec"  value="{{rent.id}}" id="carSec">
                                    <a data-target=".retour-quote" data-toggle="modal" data-placement="top" title="Commentez" data-original-title="Commentez" href="#?carId={{rent.voiture.id}}" id="{{rent.voiture.id}}" class=".retour-quote"><i class="fa fa-reply"></i></a> </li>
                                 <li> <a data-toggle="tooltip" data-placement="top" title="Annuler" data-original-title="Annuler" href="#"><i class="fa fa-ban icon-white"></i></a></li>
                              </ul>
                           </div>
                        </div>
                        <!-- Listing Ad Grid -->
                     </div>
                  <!-- /col -->
                  
                 
                  {% endfor %}
               </div>
                  <!-- Middle Content Area  End -->
                  </div>
                  </div>
                  </div>
            </div>
            </div>
         </div>
            <!-- Main Container End -->
         </section>
         <!-- =-=-=-=-=-=-= Ads Archives End =-=-=-=-=-=-= -->
</div>
   <!-- =-=-=-=-=-=-= Report Ad Modal =-=-=-=-=-=-= -->
   <div class="modal fade report-quote" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
               <h3 class="modal-title">Commentez le véhicule</h3>
            </div>
            <div class="modal-body">
               <!-- content goes here -->
               <form action="/comment/" method="post" enctype="multipart/form-data" >{% csrf_token %}
               <div class="skin-minimal">
                     <div class="form-group col-md-6 col-sm-6">
                        <ul class="list">
                           <li >
                              <input type="radio" id="spam" name="etat" value="bon" checked>
                              <label for="spam">Bon Etat</label>
                           </li>
                           <li>
                              <input  type="radio" id="duplicated" name="etat" value="mauvais">
                              <label for="duplicated">Mauvais Etat</label>
                           </li>
                        </ul>
                     </div>
                     <div class="form-group  col-md-6 col-sm-6">
                        <ul class="list">
                           <li >
                              <input  type="radio" id="offensive" name="etat" value="panne">
                              <label for="offensive">Panne mecanique</label>
                           </li>
                           <li>
                              <input  type="radio" id="expired" name="etat" value="salle">
                              <label for="expired">Salle</label>
                           </li>
                        </ul>
                     </div>
                  </div>
                  <input type="hidden"  name="car"  value="" id="car">
                  <div class="form-group  col-md-12 col-sm-12">
                     <label>Commentaire </label>
                     <textarea placeholder="Saisissez votre avis" rows="3" class="form-control" name="comment"></textarea>
                  </div>
                  <div class="clearfix"></div>
                  <div class="col-md-12 col-sm-12 margin-bottom-20 margin-top-20">
                     <button type="submit" class="btn btn-theme btn-block">Commentez</button>
                  </div>
               </form >
            </div>
         </div>
      </div>
   </div>

     <!-- =-=-=-=-=-=-= Report Ad Modal =-=-=-=-=-=-= -->
     <div class="modal fade retour-quote" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
               <h3 class="modal-title">Retour de véhicule</h3>
            </div>
            <div class="modal-body">
               <!-- content goes here -->
               <form action="/retour/" method="post" enctype="multipart/form-data" >{% csrf_token %}
               <div class="skin-minimal">
                     <div class="form-group col-md-6 col-sm-6">
                        <ul class="list">
                           <li >
                              <label for="spam">Date de retour : </label>
                              <input type="date" id="date_retour" name="date_retour" required>
                              
                           </li>
                        </ul>
                     </div>
                  </div>
                  <input type="hidden"  name="local"  value="" id="local">
                  <div class="form-group  col-md-12 col-sm-12">
                     <label>Commentaire </label>
                     <textarea placeholder="Saisissez votre avis" rows="3" class="form-control" name="comment"></textarea>
                  </div>
                  <div class="clearfix"></div>
                  <div class="col-md-12 col-sm-12 margin-bottom-20 margin-top-20">
                     <button type="submit" class="btn btn-theme btn-block">Commentez</button>
                  </div>
               </form >
            </div>
         </div>
      </div>
   </div>
{% endblock %}  

